function init(hero) {
    hero.setName("Rhino");
    hero.setTier(6);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("dlheroes:rhino_suit");
    hero.addAttribute("FALL_RESISTANCE", 12.0, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 9.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.05, 1);
    hero.addAttribute("STEP_HEIGHT", 1.0, 0);
    hero.addAttribute("IMPACT_DAMAGE", 1.5, 1);
    
    hero.addKeyBind("SUPER_SPEED", "Rhino Speed", 1);
    hero.addKeyBind("RHINOR", "Rhino Speed", 1);
    hero.addKeyBind("HEAT_VISION", "Rhino Speed", 1);
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 2)

    hero.addSoundEvent("STEP", "dlheroes:stomp");

    hero.setDefaultScale(1.4);
    hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("SPEED_PUNCH", {
        "types": {
            "BLUNT": 1.0
        },
        "properties": {
            "HIT_COOLDOWN": 5
        }
    });
}

function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;
}

